Bug 443934 (CVE-2008-1102) - CVE-2008-1102 blender: Blender Radiance RGBE Buffer Overflow
Summary: CVE-2008-1102 blender: Blender Radiance RGBE Buffer Overflow
Status: CLOSED ERRATA
Alias: CVE-2008-1102
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=secunia,reported=20080414,publ...
Keywords: Security
Depends On: 443935 443936 443937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-24 08:10 UTC by Tomas Hoger
Modified: 2008-07-25 10:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 10:15:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-04-24 08:10:29 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1102 to the following vulnerability:

Stack-based buffer overflow in the imb_loadhdr function in Blender 2.45 allows user-assisted remote attackers to execute arbitrary code via a .blend file that contains a crafted Radiance RGBE image.

Refences:
http://secunia.com/advisories/29818
http://secunia.com/secunia_research/2008-16/advisory/
http://www.securityfocus.com/bid/28870
http://www.frsirt.com/english/advisories/2008/1308

Comment 1 Tomas Hoger 2008-04-24 08:14:06 UTC
Upstream fix:

svn diff -r14431:14461
https://svn.blender.org/svnroot/bf-blender/trunk/blender/source/blender/imbuf/intern/radiance_hdr.c

(define STR_MAX was added in one of the previous commits, that attempted to fix
this issue and was not dropped as its usage was)

Comment 3 Jochen Schmitt 2008-04-24 15:14:55 UTC
Unfortunately, I can't create a new blender release, because the maintainer of
scons has release a broken version of scons.

Comment 4 Fedora Update System 2008-05-14 21:31:19 UTC
blender-2.45-14.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-05-14 21:32:55 UTC
blender-2.45-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Red Hat Product Security 2008-07-25 10:15:42 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3875




Note You need to log in before you can comment on or make changes to this bug.